Bug 841483 - Review Request: kde-plasma-mail-checker - Plasmoid checking for new messages
Review Request: kde-plasma-mail-checker - Plasmoid checking for new messages
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-07-19 02:35 EDT by Fl@sh
Modified: 2014-11-28 08:21 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-28 08:21:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fl@sh 2012-07-19 02:35:57 EDT
Spec URL: https://raw.github.com/F1ash/plasmaMailChecker/simple/kde-plasma-mail-checker.spec

SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/8621/4248621/kde-plasma-mail-checker-1.7.30-1.fc17.src.rpm

Description: 
Plasmoid should periodic check for new messages in configured accounts.
Supported protocols: POP3/POP3S/IMAP4/IMAP4S + IMAP4_IDLE.
Passwords for accounts stored in encrypted container.
Plasmoid use KDE-notification for events about new mail.
Support Akonadi (mimeType : "message/rfc822") resources monitoring
(getting new mail).

Fedora Account System Username: f1ash

Addition:
First package;
need sponsor;
succesful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4248621
Comment 1 Vasiliy Glazov 2012-07-19 03:06:55 EDT
Hi, Fl@sh.

1. Remove BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

2. Remove %defattr(-,root,root) in %files section.

3. Use %_kde4_appsdir instead of %{_datadir}/kde4/apps
   Also remove string %dir %{_datadir}/kde4/apps/plasma/plasmoids/%{name}
and remove "/*" at the end of previous string.

4. Remove %clean section.

5. Remove dot from the end os Summary.

6. Should add some documentation and license file
Comment 3 Gregor Tätzner 2012-07-19 15:44:06 EDT
the source url is not accessible.
Comment 4 Fl@sh 2012-07-19 16:49:35 EDT
Tarball uploaded to git. Check it.
Comment 6 Gregor Tätzner 2012-07-21 14:15:25 EDT
looks quite good, but you should use %_kde4_appsdir in %files
Comment 7 Fl@sh 2012-07-21 14:57:13 EDT
I have tried the %{_kde4_appsdir} in %files, but koji does not build the package.
 
Example: http://kojipkgs.fedoraproject.org//work/tasks/4401/4304401/build.log
Comment 8 Rex Dieter 2012-07-23 01:40:13 EDT
fyi, The %{_kde4_*} macros are defined in /etc/rpm/macros.kde4 owned by kde-settings pkg, so add:

BuildRequires: kde-settings

And, no need to require PyQt4 or python (PyKDE4 already pulls in both PyQt4 and python implicitly)

I'd venture you don't need
BuildRequires: qt-devel
either, as far as I can tell the Makefile simply installs files, and doesn't actually build anything (or if I'm missing something, please do document why this is needed).
Comment 10 Kevin Kofler 2012-07-23 13:15:17 EDT
Please use:
BuildRequires: qt4-devel
instead of:
BuildRequires: qt-devel

The virtual Provides works independently of what version of Qt is the default. (Qt 5 is coming soon.)
Comment 11 Kevin Kofler 2012-07-23 13:17:41 EDT
> fyi, The %{_kde4_*} macros are defined in /etc/rpm/macros.kde4 owned by
> kde-settings pkg

It's actually owned by kde-filesystem…

> so add:
> BuildRequires: kde-settings

… so this should be:
BuildRequires: kde-filesystem
Comment 13 Peter Lemenkov 2012-08-05 05:13:10 EDT
Unblocking FE-NEEDSPONSOR - I've just sponsored Fl@sh.
Comment 14 Fl@sh 2012-08-14 04:40:34 EDT
Someone wants to complete the review?
Comment 15 Aleksandra Bookwar 2012-10-01 12:00:46 EDT
Since Fl@sh is already sponsored, I am taking this review.
Comment 18 Minh Ngo 2012-11-04 13:08:07 EST
use desktop-file-validate (from desktop-file-utils package) for validating desktop files
Comment 19 Rex Dieter 2012-11-04 14:24:15 EST
that is not applicable in this case
Comment 20 Fl@sh 2012-11-04 14:33:23 EST
Minh Ngo
fyi, http://lists.fedoraproject.org/pipermail/kde/2012-August/011826.html
(but this not displayed in instructions).
Comment 24 Micah Roth 2013-04-17 11:39:07 EDT
SRPM link non functional.
Comment 25 Rex Dieter 2013-04-17 11:56:14 EDT
Aleksandra,
please set the fedora-review flag to ? , if you intend to continue formally reviewing this, thanks.
Comment 29 Kevin Kofler 2013-08-13 10:29:03 EDT
The Summary should be "Plasmoid checking for new messages", the %description should be "Plasmoid periodically checking for new messages in configured accounts.".
Comment 30 Fl@sh 2013-08-13 11:46:50 EDT
Thanks)
Comment 32 Rex Dieter 2013-11-12 17:23:48 EST
resetting reviewer, lack of feedback.

Note You need to log in before you can comment on or make changes to this bug.